/[gcl]/gcl/configure
ViewVC logotype

Diff of /gcl/configure

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

revision 1.113 by camm, Thu Aug 21 04:32:12 2003 UTC revision 1.114 by camm, Thu Sep 4 03:09:38 2003 UTC
# Line 848  Optional Features: Line 848  Optional Features:
848    --enable-FEATURE[=ARG]  include FEATURE [ARG=yes]    --enable-FEATURE[=ARG]  include FEATURE [ARG=yes]
849   --enable-maxpage=XXXX will compile in a page table of size XXX (eg '--enable-maxpage=64*1024' would give 64K pages allowing 256 MB if pages are 4K each)   --enable-maxpage=XXXX will compile in a page table of size XXX (eg '--enable-maxpage=64*1024' would give 64K pages allowing 256 MB if pages are 4K each)
850   --enable-vssize=XXXX will compile in a value stack of size XXX   --enable-vssize=XXXX will compile in a value stack of size XXX
851     --enable-bdssize=XXXX will compile in a binding stack of size XXX
852     --enable-ihssize=XXXX will compile in a invocation history stack of size XXX
853     --enable-frssize=XXXX will compile in a frame stack of size XXX
854   --enable-machine=XXXX will force the use of one of the definitions in h/XXXX.defs   --enable-machine=XXXX will force the use of one of the definitions in h/XXXX.defs
855   --enable-static will link your GCL against static as opposed to shared system libraries   --enable-static will link your GCL against static as opposed to shared system libraries
856   --enable-gmp=no will disable use of GMP gnu multiprecision arithmetic, (default is =yes)   --enable-gmp=no will disable use of GMP gnu multiprecision arithmetic, (default is =yes)
# Line 1321  if test "${enable_maxpage+set}" = set; t Line 1324  if test "${enable_maxpage+set}" = set; t
1324  #define MAXPAGE $enable_maxpage  #define MAXPAGE $enable_maxpage
1325  _ACEOF  _ACEOF
1326    
   
1327  fi;  fi;
1328    
1329  # Check whether --enable-vssize or --disable-vssize was given.  # Check whether --enable-vssize or --disable-vssize was given.
# Line 1331  if test "${enable_vssize+set}" = set; th Line 1333  if test "${enable_vssize+set}" = set; th
1333  #define VSSIZE $enable_vssize  #define VSSIZE $enable_vssize
1334  _ACEOF  _ACEOF
1335    
1336    fi;
1337    
1338    # Check whether --enable-bdssize or --disable-bdssize was given.
1339    if test "${enable_bdssize+set}" = set; then
1340      enableval="$enable_bdssize"
1341      cat >>confdefs.h <<_ACEOF
1342    #define BDSSIZE $enable_bdssize
1343    _ACEOF
1344    
1345    fi;
1346    
1347    # Check whether --enable-ihssize or --disable-ihssize was given.
1348    if test "${enable_ihssize+set}" = set; then
1349      enableval="$enable_ihssize"
1350      cat >>confdefs.h <<_ACEOF
1351    #define IHSSIZE $enable_ihssize
1352    _ACEOF
1353    
1354    fi;
1355    
1356    # Check whether --enable-frssize or --disable-frssize was given.
1357    if test "${enable_frssize+set}" = set; then
1358      enableval="$enable_frssize"
1359      cat >>confdefs.h <<_ACEOF
1360    #define FRSSIZE $enable_frssize
1361    _ACEOF
1362    
1363  fi;  fi;
1364    
# Line 5765  fi Line 5793  fi
5793  # mechanism, in the PAGE macro.  This offset is subtracted from  # mechanism, in the PAGE macro.  This offset is subtracted from
5794  # addresses, in calculating a page for an address in the heap.  # addresses, in calculating a page for an address in the heap.
5795    
5796  echo "$as_me:$LINENO: checking for long *" >&5  echo "$as_me:$LINENO: checking for long" >&5
5797  echo $ECHO_N "checking for long *... $ECHO_C" >&6  echo $ECHO_N "checking for long... $ECHO_C" >&6
5798  if test "${ac_cv_type_long_p+set}" = set; then  if test "${ac_cv_type_long+set}" = set; then
5799    echo $ECHO_N "(cached) $ECHO_C" >&6    echo $ECHO_N "(cached) $ECHO_C" >&6
5800  else  else
5801    cat >conftest.$ac_ext <<_ACEOF    cat >conftest.$ac_ext <<_ACEOF
# Line 5781  $ac_includes_default Line 5809  $ac_includes_default
5809  int  int
5810  main ()  main ()
5811  {  {
5812  if ((long * *) 0)  if ((long *) 0)
5813    return 0;    return 0;
5814  if (sizeof (long *))  if (sizeof (long))
5815    return 0;    return 0;
5816    ;    ;
5817    return 0;    return 0;
# Line 5801  if { (eval echo "$as_me:$LINENO: \"$ac_c Line 5829  if { (eval echo "$as_me:$LINENO: \"$ac_c
5829    ac_status=$?    ac_status=$?
5830    echo "$as_me:$LINENO: \$? = $ac_status" >&5    echo "$as_me:$LINENO: \$? = $ac_status" >&5
5831    (exit $ac_status); }; }; then    (exit $ac_status); }; }; then
5832    ac_cv_type_long_p=yes    ac_cv_type_long=yes
5833  else  else
5834    echo "$as_me: failed program was:" >&5    echo "$as_me: failed program was:" >&5
5835  sed 's/^/| /' conftest.$ac_ext >&5  sed 's/^/| /' conftest.$ac_ext >&5
5836    
5837  ac_cv_type_long_p=no  ac_cv_type_long=no
5838  fi  fi
5839  rm -f conftest.$ac_objext conftest.$ac_ext  rm -f conftest.$ac_objext conftest.$ac_ext
5840  fi  fi
5841  echo "$as_me:$LINENO: result: $ac_cv_type_long_p" >&5  echo "$as_me:$LINENO: result: $ac_cv_type_long" >&5
5842  echo "${ECHO_T}$ac_cv_type_long_p" >&6  echo "${ECHO_T}$ac_cv_type_long" >&6
5843    
5844  echo "$as_me:$LINENO: checking size of long *" >&5  echo "$as_me:$LINENO: checking size of long" >&5
5845  echo $ECHO_N "checking size of long *... $ECHO_C" >&6  echo $ECHO_N "checking size of long... $ECHO_C" >&6
5846  if test "${ac_cv_sizeof_long_p+set}" = set; then  if test "${ac_cv_sizeof_long+set}" = set; then
5847    echo $ECHO_N "(cached) $ECHO_C" >&6    echo $ECHO_N "(cached) $ECHO_C" >&6
5848  else  else
5849    if test "$ac_cv_type_long_p" = yes; then    if test "$ac_cv_type_long" = yes; then
5850    # The cast to unsigned long works around a bug in the HP C Compiler    # The cast to unsigned long works around a bug in the HP C Compiler
5851    # version HP92453-01 B.11.11.23709.GP, which incorrectly rejects    # version HP92453-01 B.11.11.23709.GP, which incorrectly rejects
5852    # declarations like `int a3[[(sizeof (unsigned char)) >= 0]];'.    # declarations like `int a3[[(sizeof (unsigned char)) >= 0]];'.
# Line 5836  $ac_includes_default Line 5864  $ac_includes_default
5864  int  int
5865  main ()  main ()
5866  {  {
5867  static int test_array [1 - 2 * !(((long) (sizeof (long *))) >= 0)];  static int test_array [1 - 2 * !(((long) (sizeof (long))) >= 0)];
5868  test_array [0] = 0  test_array [0] = 0
5869    
5870    ;    ;
# Line 5868  $ac_includes_default Line 5896  $ac_includes_default
5896  int  int
5897  main ()  main ()
5898  {  {
5899  static int test_array [1 - 2 * !(((long) (sizeof (long *))) <= $ac_mid)];  static int test_array [1 - 2 * !(((long) (sizeof (long))) <= $ac_mid)];
5900  test_array [0] = 0  test_array [0] = 0
5901    
5902    ;    ;
# Line 5916  $ac_includes_default Line 5944  $ac_includes_default
5944  int  int
5945  main ()  main ()
5946  {  {
5947  static int test_array [1 - 2 * !(((long) (sizeof (long *))) < 0)];  static int test_array [1 - 2 * !(((long) (sizeof (long))) < 0)];
5948  test_array [0] = 0  test_array [0] = 0
5949    
5950    ;    ;
# Line 5948  $ac_includes_default Line 5976  $ac_includes_default
5976  int  int
5977  main ()  main ()
5978  {  {
5979  static int test_array [1 - 2 * !(((long) (sizeof (long *))) >= $ac_mid)];  static int test_array [1 - 2 * !(((long) (sizeof (long))) >= $ac_mid)];
5980  test_array [0] = 0  test_array [0] = 0
5981    
5982    ;    ;
# Line 6004  $ac_includes_default Line 6032  $ac_includes_default
6032  int  int
6033  main ()  main ()
6034  {  {
6035  static int test_array [1 - 2 * !(((long) (sizeof (long *))) <= $ac_mid)];  static int test_array [1 - 2 * !(((long) (sizeof (long))) <= $ac_mid)];
6036  test_array [0] = 0  test_array [0] = 0
6037    
6038    ;    ;
# Line 6033  fi Line 6061  fi
6061  rm -f conftest.$ac_objext conftest.$ac_ext  rm -f conftest.$ac_objext conftest.$ac_ext
6062  done  done
6063  case $ac_lo in  case $ac_lo in
6064  ?*) ac_cv_sizeof_long_p=$ac_lo;;  ?*) ac_cv_sizeof_long=$ac_lo;;
6065  '') { { echo "$as_me:$LINENO: error: cannot compute sizeof (long *), 77  '') { { echo "$as_me:$LINENO: error: cannot compute sizeof (long), 77
6066  See \`config.log' for more details." >&5  See \`config.log' for more details." >&5
6067  echo "$as_me: error: cannot compute sizeof (long *), 77  echo "$as_me: error: cannot compute sizeof (long), 77
6068  See \`config.log' for more details." >&2;}  See \`config.log' for more details." >&2;}
6069     { (exit 1); exit 1; }; } ;;     { (exit 1); exit 1; }; } ;;
6070  esac  esac
# Line 6056  cat confdefs.h >>conftest.$ac_ext Line 6084  cat confdefs.h >>conftest.$ac_ext
6084  cat >>conftest.$ac_ext <<_ACEOF  cat >>conftest.$ac_ext <<_ACEOF
6085  /* end confdefs.h.  */  /* end confdefs.h.  */
6086  $ac_includes_default  $ac_includes_default
6087  long longval () { return (long) (sizeof (long *)); }  long longval () { return (long) (sizeof (long)); }
6088  unsigned long ulongval () { return (long) (sizeof (long *)); }  unsigned long ulongval () { return (long) (sizeof (long)); }
6089  #include <stdio.h>  #include <stdio.h>
6090  #include <stdlib.h>  #include <stdlib.h>
6091  int  int
# Line 6067  main () Line 6095  main ()
6095    FILE *f = fopen ("conftest.val", "w");    FILE *f = fopen ("conftest.val", "w");
6096    if (! f)    if (! f)
6097      exit (1);      exit (1);
6098    if (((long) (sizeof (long *))) < 0)    if (((long) (sizeof (long))) < 0)
6099      {      {
6100        long i = longval ();        long i = longval ();
6101        if (i != ((long) (sizeof (long *))))        if (i != ((long) (sizeof (long))))
6102          exit (1);          exit (1);
6103        fprintf (f, "%ld\n", i);        fprintf (f, "%ld\n", i);
6104      }      }
6105    else    else
6106      {      {
6107        unsigned long i = ulongval ();        unsigned long i = ulongval ();
6108        if (i != ((long) (sizeof (long *))))        if (i != ((long) (sizeof (long))))
6109          exit (1);          exit (1);
6110        fprintf (f, "%lu\n", i);        fprintf (f, "%lu\n", i);
6111      }      }
# Line 6098  if { (eval echo "$as_me:$LINENO: \"$ac_l Line 6126  if { (eval echo "$as_me:$LINENO: \"$ac_l
6126    ac_status=$?    ac_status=$?
6127    echo "$as_me:$LINENO: \$? = $ac_status" >&5    echo "$as_me:$LINENO: \$? = $ac_status" >&5
6128    (exit $ac_status); }; }; then    (exit $ac_status); }; }; then
6129    ac_cv_sizeof_long_p=`cat conftest.val`    ac_cv_sizeof_long=`cat conftest.val`
6130  else  else
6131    echo "$as_me: program exited with status $ac_status" >&5    echo "$as_me: program exited with status $ac_status" >&5
6132  echo "$as_me: failed program was:" >&5  echo "$as_me: failed program was:" >&5
6133  sed 's/^/| /' conftest.$ac_ext >&5  sed 's/^/| /' conftest.$ac_ext >&5
6134    
6135  ( exit $ac_status )  ( exit $ac_status )
6136  { { echo "$as_me:$LINENO: error: cannot compute sizeof (long *), 77  { { echo "$as_me:$LINENO: error: cannot compute sizeof (long), 77
6137  See \`config.log' for more details." >&5  See \`config.log' for more details." >&5
6138  echo "$as_me: error: cannot compute sizeof (long *), 77  echo "$as_me: error: cannot compute sizeof (long), 77
6139  See \`config.log' for more details." >&2;}  See \`config.log' for more details." >&2;}
6140     { (exit 1); exit 1; }; }     { (exit 1); exit 1; }; }
6141  fi  fi
# Line 6116  fi Line 6144  fi
6144  fi  fi
6145  rm -f conftest.val  rm -f conftest.val
6146  else  else
6147    ac_cv_sizeof_long_p=0    ac_cv_sizeof_long=0
6148    fi
6149  fi  fi
6150    echo "$as_me:$LINENO: result: $ac_cv_sizeof_long" >&5
6151    echo "${ECHO_T}$ac_cv_sizeof_long" >&6
6152    cat >>confdefs.h <<_ACEOF
6153    #define SIZEOF_LONG $ac_cv_sizeof_long
6154    _ACEOF
6155    
6156    
6157    echo "$as_me:$LINENO: checking sizeof struct contblock" >&5
6158    echo $ECHO_N "checking sizeof struct contblock... $ECHO_C" >&6
6159    if test "$cross_compiling" = yes; then
6160      echo Cannot find sizeof struct contblock;exit 1
6161    else
6162      cat >conftest.$ac_ext <<_ACEOF
6163    #line $LINENO "configure"
6164    /* confdefs.h.  */
6165    _ACEOF
6166    cat confdefs.h >>conftest.$ac_ext
6167    cat >>conftest.$ac_ext <<_ACEOF
6168    /* end confdefs.h.  */
6169    #include <stdio.h>
6170            #define EXTER
6171            #include "$MP_INCLUDE"
6172            #include "h/enum.h"
6173            #include "h/object.h"
6174            int main(int argc,char **argv,char **envp) {
6175            FILE *f=fopen("conftest1","w");
6176            fprintf(f,"%u",sizeof(struct contblock));
6177            fclose(f);
6178            return 0;
6179            }
6180    _ACEOF
6181    rm -f conftest$ac_exeext
6182    if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
6183      (eval $ac_link) 2>&5
6184      ac_status=$?
6185      echo "$as_me:$LINENO: \$? = $ac_status" >&5
6186      (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
6187      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6188      (eval $ac_try) 2>&5
6189      ac_status=$?
6190      echo "$as_me:$LINENO: \$? = $ac_status" >&5
6191      (exit $ac_status); }; }; then
6192      sizeof_contblock=`cat conftest1`
6193    else
6194      echo "$as_me: program exited with status $ac_status" >&5
6195    echo "$as_me: failed program was:" >&5
6196    sed 's/^/| /' conftest.$ac_ext >&5
6197    
6198    ( exit $ac_status )
6199    echo Cannot find sizeof struct contblock;exit 1
6200    fi
6201    rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
6202  fi  fi
6203  echo "$as_me:$LINENO: result: $ac_cv_sizeof_long_p" >&5  echo "$as_me:$LINENO: result: $sizeof_contblock" >&5
6204  echo "${ECHO_T}$ac_cv_sizeof_long_p" >&6  echo "${ECHO_T}$sizeof_contblock" >&6
6205  cat >>confdefs.h <<_ACEOF  cat >>confdefs.h <<_ACEOF
6206  #define SIZEOF_LONG_P $ac_cv_sizeof_long_p  #define SIZEOF_CONTBLOCK $sizeof_contblock
6207  _ACEOF  _ACEOF
6208    
6209    

Legend:
Removed from v.1.113  
changed lines
  Added in v.1.114

savannah-hackers-public@gnu.org
ViewVC Help
Powered by ViewVC 1.1.26